ONVIF::PTZ::Types::RecordingJobStateSource(3)

NAME
ONVIF::PTZ::Types::RecordingJobStateSource

DESCRIPTION
Perl data type class for the XML Schema defined complexType RecordingJobStateSource from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SourceToken

•   State

•   Tracks

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::RecordingJobStateSource
   SourceToken =>  { # ONVIF::PTZ::Types::SourceReference
     Token => $some_value, # ReferenceToken
   },
   State => $some_value, # RecordingJobState
   Tracks =>  { # ONVIF::PTZ::Types::RecordingJobStateTracks
     Track =>  { # ONVIF::PTZ::Types::RecordingJobStateTrack
       SourceTag =>  $some_value, # string
       Destination => $some_value, # TrackReference
       Error =>  $some_value, # string
       State => $some_value, # RecordingJobState
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL